using System;
using System.Drawing;

using MindFusion.Diagramming;


public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Diagram d = fc.Diagram;
            d.BackBrush = new MindFusion.Drawing.SolidBrush(Color.FromArgb(250, 255, 249));

            // defaults for newly created boxes
            d.DefaultShape = Shape.FromId("Rectangle");
			Theme theme = new Theme();
			ShapeNodeStyle shapesStyle = new ShapeNodeStyle();
			shapesStyle.Brush = new MindFusion.Drawing.LinearGradientBrush(Color.ForestGreen, Color.White, 30);
			theme.RegisterStyle(typeof(ShapeNode), shapesStyle);
			d.Theme = theme;

            // create the root box
            ShapeNode root = d.Factory.CreateShapeNode(5, 5, 25, 16);
            root.Text = "Boss";
            root.EnabledHandles = AdjustmentHandles.Move;
            root.HandlesStyle = HandlesStyle.DashFrame;
            root.Expandable = true;
            root.Expanded = false;
        }
    }
}